org.apache.ivy.osgi.filter

## Class NotFilter

- java.lang.Object
- - org.apache.ivy.osgi.filter.OSGiFilter
  - - org.apache.ivy.osgi.filter.UniOperatorFilter
    - - org.apache.ivy.osgi.filter.NotFilter

    public class NotFilter
    extends UniOperatorFilter

### Constructor Summary

Constructors
Constructor and Description
`NotFilter(OSGiFilter subFilter)`

### Method Summary

Methods
`boolean` `eval(java.util.Map<java.lang.String,java.lang.String> properties)`
`protected char` `operator()`

### Methods inherited from class org.apache.ivy.osgi.filter.UniOperatorFilter

`append, equals, getSubFilter, hashCode`

### Methods inherited from class org.apache.ivy.osgi.filter.OSGiFilter

`toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotFilter

    public NotFilter(OSGiFilter subFilter)

### Method Detail

#### operator

    protected char operator()

Specified by:
  `operator` in class `UniOperatorFilter`

#### eval

    public boolean eval(java.util.Map<java.lang.String,java.lang.String> properties)

Specified by:
  `eval` in class `OSGiFilter`